Index: code/trunk/src/orxonox/gamestates/GSClient.cc
===================================================================
--- code/trunk/src/orxonox/gamestates/GSClient.cc	(revision 2131)
+++ code/trunk/src/orxonox/gamestates/GSClient.cc	(revision 2171)
@@ -53,5 +53,5 @@
         Core::setIsClient(true);
 
-        this->client_ = new network::Client(CommandLine::getValue("ip").getString(), CommandLine::getValue("port"));
+        this->client_ = new Client(CommandLine::getValue("ip").getString(), CommandLine::getValue("port"));
 
         if(!client_->establishConnection())
Index: code/trunk/src/orxonox/gamestates/GSClient.h
===================================================================
--- code/trunk/src/orxonox/gamestates/GSClient.h	(revision 2131)
+++ code/trunk/src/orxonox/gamestates/GSClient.h	(revision 2171)
@@ -49,5 +49,5 @@
         void ticked(const Clock& time);
 
-        network::Client* client_;
+        Client* client_;
     };
 }
Index: code/trunk/src/orxonox/gamestates/GSDedicated.cc
===================================================================
--- code/trunk/src/orxonox/gamestates/GSDedicated.cc	(revision 2131)
+++ code/trunk/src/orxonox/gamestates/GSDedicated.cc	(revision 2171)
@@ -32,5 +32,7 @@
 #include "core/CommandLine.h"
 #include "core/Core.h"
+#include "core/Iterator.h"
 #include "network/Server.h"
+#include "objects/Tickable.h"
 
 namespace orxonox
@@ -50,5 +52,5 @@
         Core::setHasServer(true);
 
-        this->server_ = new network::Server(CommandLine::getValue("port"));
+        this->server_ = new Server(CommandLine::getValue("port"));
         COUT(0) << "Loading scene in server mode" << std::endl;
 
Index: code/trunk/src/orxonox/gamestates/GSDedicated.h
===================================================================
--- code/trunk/src/orxonox/gamestates/GSDedicated.h	(revision 2131)
+++ code/trunk/src/orxonox/gamestates/GSDedicated.h	(revision 2171)
@@ -48,5 +48,5 @@
         void ticked(const Clock& time);
 
-        network::Server*      server_;
+        Server*      server_;
     };
 }
Index: code/trunk/src/orxonox/gamestates/GSGraphics.cc
===================================================================
--- code/trunk/src/orxonox/gamestates/GSGraphics.cc	(revision 2131)
+++ code/trunk/src/orxonox/gamestates/GSGraphics.cc	(revision 2171)
@@ -56,5 +56,4 @@
 #include "gui/GUIManager.h"
 #include "tools/WindowEventListener.h"
-#include "objects/Tickable.h"
 #include "Settings.h"
 
@@ -242,10 +241,4 @@
         this->tickChild(time);
 
-        /*** HACK *** HACK ***/
-        // Call the Tickable objects
-        for (ObjectList<Tickable>::iterator it = ObjectList<Tickable>::begin(); it; ++it)
-            it->tick(time.getDeltaTime());
-        /*** HACK *** HACK ***/
-
         if (this->bWindowEventListenerUpdateRequired_)
         {
Index: code/trunk/src/orxonox/gamestates/GSRoot.cc
===================================================================
--- code/trunk/src/orxonox/gamestates/GSRoot.cc	(revision 2131)
+++ code/trunk/src/orxonox/gamestates/GSRoot.cc	(revision 2171)
@@ -41,4 +41,5 @@
 #include "core/TclThreadManager.h"
 #include "tools/Timer.h"
+#include "objects/Tickable.h"
 #include "Settings.h"
 
@@ -143,4 +144,10 @@
             it->tick(time);
 
+        /*** HACK *** HACK ***/
+        // Call the Tickable objects
+        for (ObjectList<Tickable>::iterator it = ObjectList<Tickable>::begin(); it; ++it)
+            it->tick(time.getDeltaTime());
+        /*** HACK *** HACK ***/
+
         this->tickChild(time);
     }
Index: code/trunk/src/orxonox/gamestates/GSServer.cc
===================================================================
--- code/trunk/src/orxonox/gamestates/GSServer.cc	(revision 2131)
+++ code/trunk/src/orxonox/gamestates/GSServer.cc	(revision 2171)
@@ -52,5 +52,5 @@
         Core::setHasServer(true);
 
-        this->server_ = new network::Server(CommandLine::getValue("port"));
+        this->server_ = new Server(CommandLine::getValue("port"));
         COUT(0) << "Loading scene in server mode" << std::endl;
 
Index: code/trunk/src/orxonox/gamestates/GSServer.h
===================================================================
--- code/trunk/src/orxonox/gamestates/GSServer.h	(revision 2131)
+++ code/trunk/src/orxonox/gamestates/GSServer.h	(revision 2171)
@@ -48,5 +48,5 @@
         void ticked(const Clock& time);
 
-        network::Server*      server_;
+        Server*      server_;
     };
 }
